0

I have MS office 2007 without a CD, with setup.exe. When installed using Wine, there are problems with MSXML (probably just as here), so I have tried PlayOnLinux. But it always requires CD and this question sadly did not help:

playonlinux setup.exe
...
[many lines]
...
nc: port number too small: 0

Any ideas?

Backup solution: According to your experience, would MS Office 2010 behave better?

2 Answers 2

1

As a quick workaround:

When asked for the CD-ROM drive, click "other" and then manually enter the path to the directory where your "setup.exe" is located. Note that you should create a new folder for this because PlayOnLinux will search the whole folder recursively for the file.

This way, the installation script will still do stuff like overriding DLLs and creating shortcuts.

edit
One more note: The install script you are using is made for the CD version. It is possible that the non-CD installer is completely different and needs additional components to be installed.
Please let me know if it worked.

1

Although it's recommanded to use LibreOffice, you still can install MS office in Ubuntu with PlayOnLinux using a CD or Wine using an .exe file which is your case.

Try to follow those guides. Office 2010 , Office 2007 .

Install mesa OpenGL sudo apt-get install mesa-utils mesa-utils-extra libgl1-mesa-glx:i386 libgl1-mesa-dev

then create a link to OpenGL 32-bit library sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu/mesa/libGL.so and sudo ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so /usr/lib/i386-linux-gnu/libGL.so

Install Wine

sudo add-apt-repository ppa:ubuntu-wine/ppa sudo apt-get update sudo apt-get install wine winetricks

Set Office to the 32 bits version ( 64 bits will not work )

export WINEPREFIX="/home/$(whoami)/.wine/office2007/" export WINEARCH="win32"

Run winetricks and pick Select the default wineprefix then Install a Windows DLL or component and choose those packages vcrun2008, dotnet20, dotnet40, msxml6, riched20, riched30, gdiplus, vb3run, vb4run, vb5run, vb6run close and run wine Setup.exe.

4
  • Access2007, Groove2007 and Outlook2007 will not work though , so if you want to use one of them it's better to work on 2010 version
    – storm
    Commented Feb 25, 2016 at 13:04
  • Hm... "No package wine-gecko1.4"... Commented Feb 25, 2016 at 13:09
  • Are you using Ubuntu 32bits or 64bits version ?
    – storm
    Commented Feb 25, 2016 at 13:13
  • Okay .. Answer edited
    – storm
    Commented Feb 25, 2016 at 13:37

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .